Intermittent OS X 10.7 "FAIL: Found processes still running: plugin-container. Please close them before running talos."

RESOLVED WORKSFORME

Status

Release Engineering
General
P3
normal
RESOLVED WORKSFORME
6 years ago
5 years ago

People

(Reporter: philor, Unassigned)

Tracking

({intermittent-failure})

Firefox Tracking Flags

(Not tracked)

Details

(Whiteboard: [talos])

(Reporter)

Description

6 years ago
https://tbpl.mozilla.org/php/getParsedLog.php?id=8274850&tree=Firefox
Rev4 MacOSX Lion 10.7 mozilla-central talos nochrome on 2012-01-02 06:18:24 PST for push 31b7a15bc54d

RETURN:<a href = "http://hg.mozilla.org/mozilla-central/rev/31b7a15bc54d">rev:31b7a15bc54d</a>
talos-r4-lion-020: 
		Started Mon, 02 Jan 2012 06:18:55
Running test tdhtml: 
		Started Mon, 02 Jan 2012 06:18:55
Failed tdhtml: 
		Stopped Mon, 02 Jan 2012 06:18:55
FAIL: Busted: tdhtml
FAIL: Found processes still running: plugin-container. Please close them before running talos.
Traceback (most recent call last):
  File "run_tests.py", line 596, in <module>
    main()
  File "run_tests.py", line 593, in main
    test_file(arg, options.screen, options.amo)
  File "run_tests.py", line 535, in test_file
    raise e
utils.talosError: 'Found processes still running: plugin-container. Please close them before running talos.'
program finished with exit code 1

Updated

6 years ago
Priority: -- → P3
Whiteboard: [orange] → [orange][talos]
https://tbpl.mozilla.org/php/getParsedLog.php?id=8791950&tree=Firefox
Summary: Intermittent "FAIL: Found processes still running: plugin-container. Please close them before running talos." → Intermittent OS X 10.7 "FAIL: Found processes still running: plugin-container. Please close them before running talos."
(Reporter)

Comment 2

6 years ago
That run follows https://tbpl.mozilla.org/php/getParsedLog.php?id=8791898&tree=Firefox&full=1 where the screenshot shows both the Bluetooth Keyboard Setup dialog up (and apparently with focus, it's got the menubar) and also an Apple crash report dialog. Didn't we have to disable those on previous incarnations of Mac slaves? And apparently if plugin-container was still running, the reboot must not have worked, so perhaps the message down in the "ignore these messages" part of the reboot about "sudo: unknown uid: 501" isn't actually an ignorable message?
(Reporter)

Comment 6

6 years ago
https://tbpl.mozilla.org/php/getParsedLog.php?id=10361471&tree=Mozilla-Inbound on talos-r4-lion-021 following https://tbpl.mozilla.org/php/getParsedLog.php?id=10361422&tree=Mozilla-Inbound which shows the Apple crash reporter for Nightly on top of the focused Bluetooth Keyboard Setup dialog.

Comment 7

6 years ago
Rev4 MacOSX Lion 10.7 mozilla-inbound talos dromaeo on 2012-05-03 05:31:06 PDT for push 94b06a04f17b

slave: talos-r4-lion-071

https://tbpl.mozilla.org/php/getParsedLog.php?id=11424641&tree=Mozilla-Inbound
(Reporter)

Comment 8

6 years ago
https://tbpl.mozilla.org/php/getParsedLog.php?id=11425135&tree=Profiling
talos-r4-lion-071

And those two followed a completely ordinary M5 permafailure.
(Reporter)

Comment 9

6 years ago
Nearly completely ordinary, since its reboot did include the exact same "sudo: unknown uid: 501" as comment 2, which ordinary runs do not.

Updated

5 years ago
Status: NEW → RESOLVED
Last Resolved: 5 years ago
Resolution: --- → WORKSFORME
(Assignee)

Updated

5 years ago
Keywords: intermittent-failure
(Assignee)

Updated

5 years ago
Whiteboard: [orange][talos] → [talos]
(Assignee)

Updated

5 years ago
Product: mozilla.org → Release Engineering
You need to log in before you can comment on or make changes to this bug.